Summary: chkrootkit
Summary(ja): chkrootkit
Name: chkrootkit
Version: 0.45
Release: 0vl1
Copyright: distributable
Group: System Environment
Source0: ftp://ftp.pangeia.com.br/pub/seg/pac/%{name}.tar.gz
Source1: %{name}.cron
Source2: %{name}.logrotate
BuildRoot: %{_tmppath}/%{name}-%{version}-root


%description
chkrootkit is a tool to locally check for signs of a rootkit. It contains:
* chklastlog.c: checks for lastlog deletions.
* chkwtmp.c: checks for wtmp deletions.
* check_wtmpx.c: checks for wtmpx deletions. (Solaris only)
* chkproc.c: checks for signs of LKM trojans.
* chkdirs.c: checks for signs of LKM trojans.
* strings.c: quick and dirty strings replacement.
* chkutmp.c: checks for utmp deletions.

%prep
%setup  -q

%build
%__make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && %__rm -rf $RPM_BUILD_ROOT

%__mkdir_p $RPM_BUILD_ROOT%{_sbindir}
%__mkdir_p $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily
%__mkdir_p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d

%__install -m 755 check_wtmpx $RPM_BUILD_ROOT%{_sbindir}
%__install -m 755 chkdirs $RPM_BUILD_ROOT%{_sbindir}
%__install -m 755 chklastlog $RPM_BUILD_ROOT%{_sbindir}
%__install -m 755 chkproc $RPM_BUILD_ROOT%{_sbindir}
%__install -m 755 chkrootkit $RPM_BUILD_ROOT%{_sbindir}
%__install -m 755 chkutmp $RPM_BUILD_ROOT%{_sbindir}
%__install -m 755 chkwtmp $RPM_BUILD_ROOT%{_sbindir}
%__install -m 755 ifpromisc $RPM_BUILD_ROOT%{_sbindir}
%__install -m 755 strings-static $RPM_BUILD_ROOT%{_sbindir}

%__install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily
%__install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name}

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sbindir}/
%{_sysconfdir}/cron.daily/
%{_sysconfdir}/logrotate.d/
%doc README* COPYRIGHT ACKNOWLEDGMENTS

%changelog
* Sun Jun 26 2005 NOGUCHI Shoji <noguchi@org3.net> 0.45-0vl1
- 0.45-0vl1: 
